<md-content 
    id="content"
    flex
    layout-padding>
	<!-- This page is part of QChaap -->
    <form 
        name="regForm" 
        novalidate>
        <div 
            id="services"
            layout="column"
            layout-gt-sm="row"
            layout-align-gt-sm="space-around start"
            layout-margin>
            <div 
                id="main"
                layout="column"
                flex="40">

                <md-autocomplete 
                    flex 
                    required
                    md-input-name="type"
                    md-no-cache="true"
                    md-selected-item="ctrl.selectedCategory"
                    md-selected-item-change="ctrl.setSelectedCategory(ctrl.selectedCategory)"
                    md-search-text="ctrl.categorySearchText"
                    md-items="item in ctrl.categorySearch(ctrl.categorySearchText)"
                    md-item-text="item.name"
                    md-min-length="0"
                    md-require-match
                    md-floating-label="{{ 'Type' | translate}}"
                    md-input-class="autocomplete"
                    input-aria-describedby="favoriteStateDescription">
                    <md-item-template>
                        <span 
                            md-highlight-text="ctrl.searchText">{{item.name}}</span>
                    </md-item-template>
                    <div 
                        ng-messages="searchForm.autocompleteField.$error" 
                        ng-if="searchForm.autocompleteField.$touched">
                        <div ng-message="required" translate>You must have a type.</div>
                        <div ng-message="md-require-match">Please select an existing state.</div>
                    </div>
                </md-autocomplete>
                <md-autocomplete 
                    flex 
                    required
                    md-input-name="service"
                    md-no-cache="true"
                    md-selected-item="ctrl.selectedService"
                    md-selected-item-change="ctrl.setSelectedService(ctrl.selectedService)"
                    md-search-text="ctrl.serviceSearchText"
                    md-items="item in ctrl.serviceSearch(ctrl.serviceSearchText)"
                    md-item-text="item.title"
                    md-min-length="0"
                    md-require-match
                    md-floating-label="{{ 'Service' | translate}}"
                    md-input-class="autocomplete"
                    input-aria-describedby="favoriteStateDescription">
                    <md-item-template class="autocompl">
                        <span md-highlight-text="ctrl.searchText">{{item.title}}</span>
                    </md-item-template>
                    <div 
                        ng-messages="searchForm.autocompleteField.$error" 
                        ng-if="searchForm.autocompleteField.$touched">
                        <div ng-message="required">You <b>must</b> have a favorite state.</div>
                        <div ng-message="md-require-match">Please select an existing state.</div>
                    </div>
                </md-autocomplete>

                <md-input-container>
                    <label translate>Count</label>
                    <input
                        requried
                        type="number"
                        ng-model="ctrl.count"
                        ng-change="ctrl.setCount(ctrl.count)"
                        min="1"
                        max="80">
                    <div 
                        ng-messages="sbmit.count.$error" 
                        ng-if="sbmit.count.$touched">
                        <div ng-message="required">You must have a positive count.</div>
                        <div ng-message="min">Minimum supported count is reached.</div>
                        <div ng-message="max">Maximum supported count is reached.</div>
                    </div>
                </md-input-container>
                <md-autocomplete 
                    ng-show="ctrl.showDeliver"
                    flex 
                    ng-required="ctrl.deliverRequired"
                    md-input-name="deliver"
                    md-no-cache="true"
                    md-selected-item="ctrl.selectedDeliver"
                    md-selected-item-change="ctrl.setSelectedDeliver(ctrl.selectedDeliver)"
                    md-search-text="ctrl.deliverSearchText"
                    md-items="item in ctrl.deliverSearch(ctrl.deliverSearchText)"
                    md-item-text="item.title"
                    md-min-length="0"
                    md-require-match
                    md-floating-label="{{ 'Deliver' | translate}}"
                    md-input-class="autocomplete"
                    input-aria-describedby="favoriteStateDescription">
                    <md-item-template>
                        <span md-highlight-text="ctrl.searchText">{{item.title}}</span>
                    </md-item-template>
                    <div 
                        ng-messages="searchForm.autocompleteField.$error" 
                        ng-if="searchForm.autocompleteField.$touched">
                        <div ng-message="required">You <b>must</b> have a favorite state.</div>
                        <div ng-message="md-require-match">Please select an existing state.</div>
                    </div>
                </md-autocomplete>
            </div>

            <div 
                id="extra"
                layout="column"
                flex="40"
                style="margin-top: 20px">
                <md-checkbox
                    ng-show="!$mdMedia('gt-sm')"
                    ng-model="ctrl.showServiceDetail">
                    <h3 translate="">Show details of the service</h3>
                </md-checkbox>
                <img
                    ng-show="$mdMedia('gt-sm') || ctrl.showServiceDetail"
                    ng-src="{{ctrl.selectedService.avatar|| 'images/default-service-image.svg'}}"
                    ng-src-error="images/default-service-image.svg"
                    width="100%"
                    style="margin: 16px 4px;">

            </div>
        </div>
        <div 
            layout="column"
            layout-padding>

            <div 
                layout="column"
                ng-if="ctrl.showExtraServices() && ctrl.showExServices">
                <h3 translate="">Post printing services</h3>
                <div
                    id="services"
                    layout="row"
                    layout-wrap>
                    <md-checkbox 
                        ng-repeat="service in ctrl.extraServices"
                        ng-model="service.selected"
                        ng-change="ctrl.addExtra($index, service.selected)" 
                        aria-label="Select a service"
                        flex="30">
                        <span>{{::service.title}}</span>
                        <md-tooltip
                            md-direction="top">
                            <span>{{::service.description}}</span>
                        </md-tooltip>
                    </md-checkbox>
                </div>
            </div>
            <div 
                layout="column"
                layout-align="center center">
                <div 
                    style="text-align: center;"
                    id="price">
                    <label translate>Price</label>: {{ctrl.totalprice}}
                </div>
                <div 
                    layout="row"
                    layout-align="center start"
                    id="actions">
                    <md-button
                        class="md-raised md-primary"
                        ng-click="ctrl.submit()"
                        ng-disabled="regForm.$invalid">
                        <span translate="">Submit</span>
                    </md-button>
                </div>
            </div>
        </div>
    </form>
</md-content>